pcl::cuda::Debayering< Storage > Class Template Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/io/include/pcl/cuda/io/debayering.h>`

## Public Types

typedef Storage< OpenNIRGB >::type | RGBImageType

## Public Member Functions

void | computeBilinear (const boost::shared_ptr< openni_wrapper::Image > &bayer_image, RGBImageType &rgb_image) const

## Detailed Description

### template<template< typename > class Storage>
class pcl::cuda::Debayering< Storage >

Definition at line 125 of file debayering.h.

## Member Typedef Documentation

## RGBImageType

template<template< typename > class Storage>

typedef Storage<OpenNIRGB>::type pcl::cuda::Debayering< Storage >::RGBImageType

Definition at line 128 of file debayering.h.

## Member Function Documentation

## computeBilinear()

template<template< typename > class Storage>

void pcl::cuda::Debayering< Storage >::computeBilinear | ( | const boost::shared_ptr< openni_wrapper::Image > & | bayer_image,
|  | RGBImageType & | rgb_image
| ) |  | const

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/io/include/pcl/cuda/io/debayering.h